geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: context-priority-classloader
Date Tue, 20 Sep 2005 21:32:16 GMT
Oops. Sent a note with more information, but just now noticed it wasn't to 
dev...

Jeremy pointed me to section 9.7.2 of the servlet spec. It says that a 
servlet container should not allow an application to override java.*, 
javax.* classes that J2SE or J2EE do not allow to be modified. So, by my 
reading, the current class loader implementations are entirely consistent 
with the servlet specification. We can get into spec-smithing as to the 
meaning of "allow to be modified".

Unless there are objections or alternative suggestions, I'll respond that 
overriding the SAAJ implementation via <context-priority-classloader> is not 
supported. Note that it seems that JBoss has different behavior...

Mime
View raw message